Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util.introspection
Class UberspectImpl.VelMethodImpl

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.introspection.UberspectImpl.VelMethodImpl

All Implemented Interfaces:
  VelMethod

Enclosing class:
  UberspectImpl

public class UberspectImpl.VelMethodImpl
extends Object
implements VelMethod

Implementation of VelMethod

Constructor Summary
`UberspectImpl.VelMethodImpl(Method m)`

Method Summary
`String` | `getMethodName()` returns the method name used
`Class` | `getReturnType()` returns the return type of the method invoked
`Object` | `invoke(Object o, Object[] params)` invocation method - called when the method invocationshould be preformed and a value returned
`boolean` | `isCacheable()` specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UberspectImpl.VelMethodImpl

    public UberspectImpl.VelMethodImpl(Method m)

Method Detail

### invoke

    public Object invoke(Object o,
                         Object[] params)
                  throws Exception

  Description copied from interface: `VelMethod`
  invocation method - called when the method invocationshould be preformed and a value returned
  Specified by:
    `invoke` in interface `VelMethod`

### isCacheable

    public boolean isCacheable()

  Description copied from interface: `VelMethod`
  specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for
  Specified by:
    `isCacheable` in interface `VelMethod`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelMethod`
  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public String getMethodName()

  Description copied from interface: `VelMethod`
  returns the method name used
  Specified by:
    `getMethodName` in interface `VelMethod`

### getReturnType

    public Class getReturnType()

  Description copied from interface: `VelMethod`
  returns the return type of the method invoked
  Specified by:
    `getReturnType` in interface `VelMethod`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.